## IdeScript IdeScript |

## Functions

void | ide_script_load ()
void | ide_script_unload ()
GFile * | ide_script_get_file ()

## Properties

GFile * | file | Read / Write / Construct Only

## Signals

void | load | Run Last
void | unload | Run Last

## Types and Values

#define | IDE_TYPE_SCRIPT
#define | IDE_SCRIPT_EXTENSION_POINT
struct | IdeScriptClass
| IdeScript

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeScript
                ╰── IdePyGObjectScript

## Implemented Interfaces

IdeScript implements GAsyncInitable.

## Description

## Functions

### ide_script_load ()

    void
    ide_script_load (IdeScript *self);

### ide_script_unload ()

    void
    ide_script_unload (IdeScript *self);

### ide_script_get_file ()

    GFile *
    ide_script_get_file (IdeScript *self);

Returns a GFile pointing to the location of the script on disk.

#### Returns

A GFile.

[transfer none]

## Types and Values

### IDE_TYPE_SCRIPT

    #define IDE_TYPE_SCRIPT            (ide_script_get_type())

### IDE_SCRIPT_EXTENSION_POINT

    #define IDE_SCRIPT_EXTENSION_POINT "org.gnome.libide.extensions.script"

### struct IdeScriptClass

    struct IdeScriptClass {
      IdeObjectClass parent;

      void (*load)   (IdeScript *self);
      void (*unload) (IdeScript *self);
    };

### IdeScript

    typedef struct _IdeScript IdeScript;

## Property Details

### The `“file”` property

      “file”                     GFile *

The file containing the script.

Flags: Read / Write / Construct Only

## Signal Details

### The `“load”` signal

    void
    user_function (IdeScript *idescript,
                   gpointer   user_data)

Flags: Run Last

### The `“unload”` signal

    void
    user_function (IdeScript *idescript,
                   gpointer   user_data)

Flags: Run Last